Bug 2254820 - Review Request: rust-select - Library to extract useful data from HTML documents, suitable for web scraping
Summary: Review Request: rust-select - Library to extract useful data from HTML docume...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/select
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-12-16 15:34 UTC by Albert Larsan
Modified: 2024-04-12 11:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
decathorpe: fedora-review?


Attachments (Terms of Use)

Description Albert Larsan 2023-12-16 15:34:28 UTC
Spec URL: https://albertlarsan.fr/fedpkgs/rust-select/rust-select.spec
SRPM URL: https://albertlarsan.fr/fedpkgs/rust-select/rust-select-0.6.0-1.fc40.src.rpm
Description: Library to extract useful data from HTML documents, suitable for web scraping
Fedora Account System Username: albertlarsan68

Dependency for rust-mdbook

The tests are disabled, as they depend on an unmaintained crate.

Comment 1 Albert Larsan 2023-12-16 20:30:59 UTC
[fedora-review-service-build]

I updated the files to use the rust2rpm.toml file to disable the tests in a less crude way.

Comment 2 Fedora Review Service 2023-12-16 23:30:15 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6763282
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2254820-rust-select/fedora-rawhide-x86_64/06763282-rust-select/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 3 Fedora Review Service 2023-12-16 23:30:53 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6763281
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2254820-rust-select/fedora-rawhide-x86_64/06763281-rust-select/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 4 Fabio Valentini 2024-01-09 21:58:53 UTC
> # FIXME: no license files detected

This needs to be fixed. The MIT license is one of the FOSS licenses that requires redistributed sources to contain a copy of the license text.
Please report the missing license text to the upstream project.

Comment 5 Albert Larsan 2024-01-11 10:46:40 UTC
The PR is https://github.com/utkarshkukreti/select.rs/pull/77.

Can I do anything while waiting for the PR to be accepted?

Comment 6 Fabio Valentini 2024-01-12 16:24:57 UTC
Give the upstream maintainer a bit of time to address the PR.
It looks like they are active on GitHub, so I hope this should not take long.

If the PR is not looked at / merged within 1-2 weeks, you can include the license file you added with the PR manually in the package *temporarily* until the upstream project merges the PR.

Comment 7 Fabio Valentini 2024-01-25 22:17:54 UTC
Looks like your PR was merged - you can include the license file manually from the upstream git repo for now - until it is part of a published release.

Comment 8 Albert Larsan 2024-04-12 11:47:30 UTC
Spec URL: https://albertlarsan68.fedorapeople.org/packages/rust-select/rust-select.spec
SRPM URL: https://albertlarsan68.fedorapeople.org/packages/rust-select/rust-select-0.6.0-1.fc41.src.rpm

Updated the specfile and srpm with the LICENSE file from the repo.


Note You need to log in before you can comment on or make changes to this bug.